<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class FleetLoading extends Model
{
    protected $fillable = [
        'fleet_id',
        'product_id',
        'load_type',
        'load_date',
        'cargo_type',
        'weight',
        'quantity',
        'destination',
        'status',
    ];

    public function fleet()
    {
        return $this->belongsTo(Fleet::class);
    }

    public function product()
    {
        return $this->belongsTo(Product::class);
    }
}
